nav search
Data Center Software Security Transformation DevOps Business Personal Tech Science Emergent Tech Bootnotes BOFH

Dumb MongoDB admins spew 600 TERABYTES of unauthenticated data

Flaw identified three years ago comes back to bite NoSQL crowd

By Darren Pauli, 21 Jul 2015

Shodan hacker John Matherly says system administrators have exposed some 595.2 terabytes of data by using poorly-configured or un-patched versions of the popular MongoDB database.

eBay, Foursquare, and The New York Times are some of the prominent users of the open source MongoDB which is the most popular NoSQL database.

Matherly says the near 30,000 databases are exposed through the use of older versions of the platform that fail to bind to localhost.

"There's a total of 595.2 TB of data exposed on the internet via publicly accessible MongoDB instances that don't have any form of authentication," Matherly says.

"It turns out that MongoDB version 2.4.14 seems to be the last version that still listened to 0.0.0.0 by default, which looks like a maintenance release done on April 28, 2015.

"Roman Shtylman actually raised this problem back in February of 2012 [and] it ended up taking a bit more than 2 years to change the settings."

Shtylman noted at the time that it was a critical bug because MongoDB shipped without authentication.

"[Affected versions] do not have a 'bind_ip 127.0.0.1' option set in the mongodb.conf. This leaves a user's server vulnerable if they are not aware of this setting. The default should be to lockdown as much as possible and only expose if the user requests it," Shtylman says.

The Shodan creator says earlier instances of version 2.6 may have been affected.

He points out that most users operate version 2.4.9, with 2.4.10, and 2.6.7 close behind.

Most exposed instances run on cloud servers including Digital Ocean, Amazon, Linode, and OVH and do so without authorisation enabled, in what Matherly says is a trend in which cloud instances are more vulnerable than datacenter hosting.

"My guess is that cloud images don't get updated as often, which translates into people deploying old and insecure versions of software."

Affected users should update to the latest versions as soon as possible. ®

The Register - Independent news and views for the tech community. Part of Situation Publishing